Results 1 to 5 of 5

Thread: Perl_Tstack_sp_ptr error after upgrade Unbuntu 8.04 to 10.04 and zcs 7.1.1 to 7.1.2

  1. #1
    Join Date
    Sep 2011
    Location
    France / Versailles
    Posts
    6
    Rep Power
    4

    Unhappy [SOLVED]Perl_Tstack_sp_ptr after upgrade Unbuntu 8.04 to 10.04 and zcs 7.1.1 to 7.1.2

    Hello all,

    I got to fix my zimbra issues by myself so far, but looks like I'll need some advising this time...

    Recently updated my Ubuntu 8.04 LTS to Ubuntu 10.04.3 LTS (amd64).

    Then as update path, launched install for 7.1.2 GA FOSS (installed version was 7.1.1 FOSS for Ubuntu 8.04)
    Exact packet name is zcs-7.1.2_GA_3268.UBUNTU10_64.20110804130819.tgz

    Now some of the services won't start, mostly logger...

    Here's the result of a zmcontrol status

    Code:
            antispam                Running
            antivirus               Running
            ldap                    Running
            logger                  Stopped
                    zmlogswatchctl is not running
            mailbox                 Running
            mta                     Stopped
                    zmmilterctl is not running
            snmp                    Stopped
                    zmswatch is not running.
            spell                   Running
            stats                   Running
            zmconfigd               Running
    I'm unable to start zmlogswatch... it fails...

    Interestingly, here's the content of /opt/zimbra/log/zmswatch.out

    Code:
    /usr/bin/perl: symbol lookup error: /opt/zimbra/zimbramon/lib/x86_64-linux-gnu-thread-multi/auto/Date/Calc/Calc.so: undefined symbol: Perl_Tstack_sp_ptr

    Sounds like there's a perl libraries version mismatch, but I'm unsure how to fix it...
    I tried to reupgrade zcs "in place" of course, but no difference.
    Downgrading perl to 5.8.8 could possibly work, but sounds awkward to me.
    Official packet version for Perl in Ubuntu 10.04 LTS is 5.10.1 :

    Code:
    This is perl, v5.10.1 (*) built for x86_64-linux-gnu-thread-multi
    
    Copyright 1987-2009, Larry Wall
    
    Perl may be copied only under the terms of either the Artistic License or the
    GNU General Public License, which may be found in the Perl 5 source kit.
    
    Complete documentation for Perl, including FAQ lists, should be found on
    this system using "man perl" or "perldoc perl".  If you have access to the
    Internet, point your browser at http://www.perl.org/, the Perl Home Page.
    Now I'm stuck... downgrade version 7.1.1 obviously is not allowed, and I'm not really willing to downgrade perl.

    Any help is welcome.
    Last edited by FredT; 09-04-2011 at 07:20 PM. Reason: issue solved

  2. #2
    Join Date
    Mar 2006
    Location
    Beaucaire, France
    Posts
    2,322
    Rep Power
    13

    Default

    I think that's because of the upgrade from 8.04 to 10.04.

    Let me try to explain...

    In 8.04 version of ZCS, there are some perl libraries that are shipped with ZCS (and setup in /opt/zimbra sub-folders). These libs are not in 8.04 version of perl and thus are needed.

    However, in 10.04, the genuine perl libraries (from the OS) exists and should be used.

    I think (because I had a problem that looked the same) that the install.sh doesn't not properly remove the old libs (shipped by Zimbra) when upgrading ZCS (from 8.04 to 10.04).
    And because the /opt/zimbra sub-folders are before the genuine perl libs in the path, the bad libs (8.04 ones) are picked up par ZCS instead of the genuine ones.

    What I did to solve this was to do a quick setup of a VM somewhere else, running 10.04 and set up ZCS on it (same very as the production server).
    Then I compared the content of the libraries folders in /opt/zimbra and remove (rename actually) the bad libraries on the production server (in order for ZCS to pick the OS ones).

  3. #3
    Join Date
    Sep 2011
    Location
    France / Versailles
    Posts
    6
    Rep Power
    4

    Default

    OK... close to what I expected, will try to remove libraries (making backups) and see if it works better.

    Will report results there asap

  4. #4
    Join Date
    Sep 2011
    Location
    France / Versailles
    Posts
    6
    Rep Power
    4

    Default

    OK did a remove of /opt/zimbra/zimbramon/lib/x86_64-linux-gnu-thread-multi and then reinstalled with -s option.

    I had to kill a few processes and put my dk-filters setting back in master.cf.in, but things are mostlyback !

    Only have to deal with zmmilterctl now...

  5. #5
    Join Date
    Sep 2011
    Location
    France / Versailles
    Posts
    6
    Rep Power
    4

    Default

    OK all fixed and working fine, the zimbra milter was indeed conflicting with dkim-filter (same port), set it back to 7026 and now all is fine...

    Thanks for your help klug ! (merci)

Similar Threads

  1. Replies: 4
    Last Post: 04-07-2011, 03:54 AM
  2. [SOLVED] New zcs 7 install : database errors founds
    By dkbk in forum Administrators
    Replies: 4
    Last Post: 03-01-2011, 06:49 AM
  3. Replies: 3
    Last Post: 02-18-2011, 03:49 PM
  4. Replies: 17
    Last Post: 02-11-2011, 03:59 AM
  5. Replies: 0
    Last Post: 01-06-2011, 12:26 AM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •